GCP(1L)

NAME
cp - copy files

SYNOPSIS
cp [-bdfipruvxR] [-S backup-suffix] [-V {numbered,existing,simple}] [+backup] [+no-dereference] [+force] [+interactive] [+one-file-system] [+preserve] [+recursive] [+update] [+verbose] [+suffix backup-suffix] [+version-control {numbered,existing,simple}] source dest cp [-bdfipruvxR] [-S backup-suffix] [-V {numbered,existing,simple}] [+backup] [+no-dereference] [+force] [+interactive] [+one-file-system] [+preserve] [+recursive] [+update] [+verbose] [+suffix backup-suffix] [+version-control {numbered,existing,simple}] source... directory

DESCRIPTION
This manual page documents the GNU version of cp. If the last argument names an existing directory, cp copies each other given file into a file with the same name in that directory. Otherwise, if only two files are given, it copies the first onto the second. It is an error if the last argument is not a directory and more than two files are given. By default, it does not copy directories.

  OPTIONS

-b, +backup
    Make backups of files that are about to be overwritten or removed.

-d, +no-dereference
    Copy symbolic links as symbolic links rather than copying the files that they point to.

-f, +force
    Remove existing destination files.

-i, +interactive
    Prompt whether to overwrite existing regular destination files.

-p, +preserve
    Preserve the original files' owner, group, permissions, and timestamps.

-r  Copy directories recursively, copying all non-directories as if they were regular files.

-u, +update
    Do not copy a nondirectory that has an existing destination with the same or newer modification time.

-v, +verbose
    Print the name of each file before copying it.

-x, +one-file-system
    Skip subdirectories that are on different filesystems from the one that the copy started on.

-R, +recursive
    Copy directories recursively.

-S, +suffix backup-suffix
    The suffix used for making simple backup files can be set with the SIMPLE_BACKUP_SUFFIX environment variable, which can be overridden by this option. If neither of those is given, the default is `~', as it is in Emacs.

-V, +version-control {numbered,existing,simple}
    The type of backups made can be set with the VERSION_CONTROL environment variable, which can be overridden by this option. If VERSION_CONTROL is not set and this option is not given, the default backup type is `existing'. The value of the VERSION_CONTROL environment variable and the argument to this option is like GNU Emacs' `version-control' variable; it also accepts synonyms that are more descriptive. The valid values are (unique abbreviations are accepted):

    `t' or `numbered'
        Always make numbered backups.

    `nil' or `existing'
        Make numbered backups of files that already have them, simple backups of the others.

    `never' or `simple'
        Always make simple backups.